:root {
  --primary-color: #ad4800;
  --dark-color: #0f0f0f;
  --light-color: #fff;
  --gray-color: #666;
  --another-color: #7e3502;
}

* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  /* padding-bottom: 40px; */
  font-family: "Roboto Slab", serif;
  background-color: var(--dark-color);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

a{
  text-decoration: none;
  color: inherit;
}

section {
  padding-top: 100px;
  margin-bottom: 6rem;
}

/* HEADER */
.main-header {
  height: 100vh;
  width: 100%;
}

.main-header video{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.main-header i{
  position: absolute;
  bottom: 5%;
  right: 5%;
  color: white;
  font-size: 2em;
  cursor: pointer;
}


/* NAVEGADOR */
.main-nav {
  position: fixed;
  top: 0;
  z-index: 100;
  width: 100%;
  height: 100px;
  /* padding: 1rem 0; */
  padding: 1rem;
  display: flex;
  justify-content: space-evenly;
  background-color: transparent;
  transition: 0.5s all;
  align-items: center;
  background-color:#0f0f0f57;
  
}

.main-nav--sticky {
  background-color: var(--dark-color);
  opacity: 1;
  color: var(--light-color);
  box-shadow: 0 3px 25px var(--primary-color);
}

.main-logo {
  z-index: 10;
}

.logo-menu {
  width: 200px;
}

.main-menu {
  list-style: none;
  /* maybe modificar llevar width */
  width: 60%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  color: var(--light-color);
}

@media screen and (max-width: 1000px) {
  .main-nav {
    padding: 0 1rem;
    justify-content: space-between;
  }

  .logo-menu {
    /* width: 150px; */
    margin-right: auto;
    padding: 2rem;
  }

  .main-menu {
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;
    padding: 0;
    width: 100%;
    height: 100vh;
    flex-direction: column;
    justify-content: center;
    background-color: var(--dark-color);
    opacity: 1;
    margin: 0;
  }
}

/* si se quiere situar el logo y el icon mas abajo cuando el nav este abierto en dispositivos moviles */
/* .main-nav--active{
  padding: 10rem 1rem;
} */

.main-menu--active {
  visibility: visible;
}

.main-menu__item {
  padding: 0 0.6rem;
  font-size: 1.2em;
  text-transform: uppercase;
  text-align: center;
}

@media screen and (max-width: 1000px) {
  .main-menu__item {
    width: 230px;
    text-align: center;
    padding: 2rem;
    border-bottom: 2px solid var(--light-color);
  }
}

.main-menu__link {
  cursor: pointer;
  color: inherit;
  text-decoration: none;
}

.main-menu__link--active{
  color: var(--primary-color);
  font-weight: 900;
}

.main-menu__link:hover {
  color: var(--primary-color);
  /* font-weight: 700; */
  /* padding-bottom: 0.3rem; */
  /* border-bottom: var(--light-color) 2px solid; */
}

/* ICON MENU */
.icon-menu-container {
  margin: 0 2rem;
  margin-bottom: 0.3rem;
  width: 40px;
  height: 25px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  overflow: hidden;
  z-index: 5;
  cursor: pointer;
}

@media screen and (min-width: 1000px) {
  .icon-menu-container {
    visibility: hidden;
    width: 0px;
    margin: 0;
  }
}

.icon-line {
  width: 100%;
  height: 4px;
  border-radius: 6%;
  background-color: var(--light-color);
  transform: rotate(0deg);
  transition: transform 0.5s;
}

.icon-line--sm {
  width: 60%;
}

.icon-line--right {
  margin-left: auto;
}

.icon-line--brown {
  background-color: #7e3502;
}

.line-one--active {
  position: absolute;
  top: -0.5px;
  left: 9.65px;
  width: 13px;
  transform: rotate(45deg);
  transform-origin: 0;
}
.line-two--active {
  position: absolute;
  top: 12.5px;
  right: 1px;
  width: 35px;
  transform: rotate(-45deg);
}

.line-three--active {
  position: absolute;
  bottom: 5.75px;
  right: 2px;
  width: 13px;
  transform: rotate(45deg);
  transform-origin: 0;
}

/* HEADER INTRODUCTION */
.container-introduction {
  background-color: rgba(0, 0, 0, 0.35);
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.visually-hidden {
  border: 0;
  padding: 0;
  margin: 0;
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden;
  clip: rect(
    1px 1px 1px 1px
  ); /* IE6, IE7 - a 0 height clip, off to the bottom right of the visible 1px box */
  clip: rect(
    1px,
    1px,
    1px,
    1px
  ); /*maybe deprecated but we need to support legacy browsers */
  clip-path: inset(
    50%
  ); /*modern browsers, clip-path works inwards from each corner*/
  white-space: nowrap; /* added line to stop words getting smushed together (as they go onto seperate lines and some screen readers do not understand line feeds as a space */
}

.logo-introduction {
  width: 500px;
}

@media screen and (max-width: 1250px) {
  .logo-introduction {
    width: 350px;
  }
}

@media screen and (max-width: 560px) {
  .logo-introduction {
    width: 180px;
  }
}

/* ABOUTS US SECTION */
/* .section-about-us{
  margin-top: 0;
  padding-top: 6rem;
} */

.section__title {
  font-size: 6em;
  text-align: center;
  color: var(--light-color);
  text-transform: uppercase;
  margin: 3rem 0;
}

.container-aboutUs {
  padding: 3rem 3rem 2rem;
  background-color: var(--primary-color);
  margin-left: auto;
  margin-right: auto;
  display: flex;
  width: 85%;
}

.aboutUs {
  margin-left: auto;
  margin-right: auto;
  /* padding: 3rem; */
  width: 60%;
  margin-right: 1rem;
  height: 100%;
}

.aboutUs__title {
  font-size: 2.5em;
  /* color: var(--primary-color); */
  color: var(--dark-color);
}

.aboutUs__content {
  color: var(--light-color);
  line-height: 30px;
  font-weight: 500;
}

.slider-container {
  margin-left: auto;
  margin-right: auto;
  max-width: 400px;
  width: 55%;
  height: 100%;
  /* border: 4px solid black; */
  overflow: hidden;
  padding: 1rem 0;
}

.modify-slider-page{
  width: 20px;
  height: 20px;
  background-color:var(--dark-color);
  color: var(--dark-color);
}

.modify-slider-arrow{
  font-size: 1rem;
}

@media screen and (max-width: 1020px) {
  .container-aboutUs {
    flex-direction: column;
  }

  .aboutUs {
    width: 100%;
  }

  .slider-container {
    width: 100%;
  }
}

@media screen and (max-width: 700px) {
  .container-aboutUs {
    padding: 1rem;
    width: 90%;
    text-align: center;
  }

  .aboutUs__title {
    font-size: 2em;
  }
}

/* SERVICES SECTION */

.container-services {
  /* background-color: #0a0a0a; */
  margin-left: auto;
  margin-right: auto;
  width: 85%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto;
  grid-template-areas:
    "img1 service1"
    "service2 img2";
}

.service {
  margin-left: auto;
  margin-right: auto;
  min-width: 280px;
  width: 80%;
  padding: 2rem 1.5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: var(--light-color);
  /* align-items: center; */
  /* background-color: green; */
}

.service__title {
  margin: 0;
  text-transform: uppercase;
  font-size: 2em;
  font-weight: bold;
}

.service__content {
  /* color: white; */
  font-size: 1em;
  font-weight: 300;
}

.button {
  display: block;
  text-align: center;
  border: 2px solid var(--primary-color);
  border-radius: 2.3rem;
  min-width: 220px;
  max-width: 50%;
  padding: 0.5rem 1.5rem;
  background-color: transparent;
  color: inherit;
  font-size: 1em;
  /* cursor: pointer; */
  /* transition: background-color .3s; */
}

.button:hover {
  background-color: var(--primary-color);
  color: var(--light-color);
}

.button--class{
  width:200px
}

.img {
  max-width: 100%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.service__img {
  filter: brightness(0.8);
}

.img--1 {
  grid-area: img1;
}

.service--1 {
  grid-area: service1;
}

.service--2 {
  grid-area: service2;
}
.img--2 {
  grid-area: img2;
}

@media screen and (max-width: 720px) {
  .container-services {
    width: 100%;
    grid-template-columns: 1fr;
    grid-template-areas:
      "img1"
      "service1"
      "img2"
      "service2";
  }

  .service {
    align-items: center;
  }

  .service__title {
    font-size: 1.3em;
  }
}

/* TRAININGS SECTION */

.container-options {
  width: 85%;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: space-around;
  margin-bottom: 1rem;
}

.container-options__title {
  width: 45%;
  margin-bottom: 0;
  padding-bottom: 0.3rem;
  border-bottom: 3px solid var(--gray-color);
  font-size: 1.6rem;
  text-align: center;
  text-transform: uppercase;
  color: var(--gray-color);
  cursor: pointer;
}

@media screen and (max-width: 700px) {
  .container-options__title {
    font-size: 1.3rem;
  }
}

@media screen and (max-width: 500px) {
  .container-options__title {
    font-size: 1rem;
  }
}

.container-options__title--active {
  color: var(--primary-color);
  border-color: var(--primary-color);
}

.container-options__title:hover {
  color: var(--primary-color);
  border-color: var(--primary-color);
}

.container-card {
  /* border: 2px solid var(--primary-color); */
  width: 85%;
  margin-left: auto;
  margin-right: auto;
  padding: 3rem 0;
  background-size: cover;
  background-attachment: fixed;
  background-position: 100%;
}

.container-card--bg-sup {
  background: url(../assets/images/DSC00485.webp) no-repeat;
}

.container-card--bg-inf {
  background: url(../assets/images/DSC00500.webp) no-repeat;
}

.training-card {
  display:flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  min-width: 280px;
  width: 65%;
  padding: 1rem;
  background-color: var(--light-color);
  color: var(--dark-color);
}

.training-card--right {
  padding-right: 3rem;
  clip-path: polygon(0 0, 82% 0, 100% 100%, 0 100%);
}

.training-card--left {
  padding-left: 3rem;
  margin-left: auto;
  clip-path: polygon(18% 0, 100% 0%, 100% 100%, 0 100%);
}

.divider {
  height: 5px;
  margin-left: auto;
  margin-right: auto;
  width: 85%;
  background-color: var(--light-color);
}

.training-card__title {
  font-size: 1.3em;
  margin: .5rem;
}

.training-card__content {
  font-weight: 300;
}

@media screen and (min-width: 960px) {
  .training-card--left {
    padding-left: 6rem;
  }

  .training-card--right {
    padding-right: 6rem;
  }
}

@media screen and (min-width: 1900px) {
  .training-card--left {
    padding-left: 10rem;
  }

  .training-card--right {
    padding-right: 10rem;
  }
}

/* CONTACT SECTION */

.contact-map-container {
  margin: 2rem auto;
  width: 85%;
  height: 300px;
}

.contact-map {
  border: 0;
  width: 100%;
  height: 350px;
}

.container-contact {
  width: 85%;
  margin-left: auto;
  margin-right: auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

.contact-card {
  background-color: var(--primary-color);
  width: 100%;
  /* height: 200px; */
  color: var(--dark-color);
  display: flex;
  align-items: center;
  padding: 1rem;
}

.contact-content{
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  min-height: 120px;
}

.fa-solid--contact {
  margin-right: 1rem;
  color: var(--light-color);
  background-color: var(--dark-color);
  font-size: 2.1rem;
  min-width: 70px;
  height: 65px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}

.contact-content__title {
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
}

.contact-content__subtext {
  font-weight: normal;
  font-size: .6em;
  font-style: italic;
}
.contact-content__text {
  margin: 1em 0;
}

@media screen and (max-width: 780px) {
  .container-contact {
    grid-template-columns: repeat(1, 1fr);
  }

  .contact-content__title {
    font-size: 1.3rem;
  }
}

.container-form {
  width: 85%;
  margin: 2rem auto;
  padding: 2rem;
  /* background-color: var(--primary-color); */
  border: 2px solid var(--primary-color);
  display: flex;
  flex-direction: column;
  color: var(--dark-color);
}

.form__input,
.form__textarea {
  margin: 0.5rem;
  padding: 0rem 0.8rem;
  font-size: 1.2rem;
  color: var(--light-color);
  background-color: transparent;
  border: none;
  border-bottom: 2px solid var(--primary-color);
}

.form__input:focus,
.form__textarea:focus {
  border: none;
  outline: none;
  border-bottom: inherit;
}

.button--form {
  font-size: 1.2rem;
  font-weight: 500;
  margin: 1rem auto;
  background-color: var(--primary-color);
}

.button--form:hover {
  color: inherit;
  filter: brightness(1.3);
}

.form__input {
  height: 40px;
}

.form__textarea {
  padding: 0.8rem 0.8rem;
  height: 100px;
  max-height: 1000px;
  resize: vertical;
}

/* FOOTER */

.footer {
  width: 100%;
  color: var(--dark-color);
  background-color: var(--primary-color);
  margin-top: auto;
}

.main-footer {
  padding: 3rem 1rem 3rem;
  display: flex;
  justify-content: space-evenly;
  gap: 1rem;
  flex-wrap: wrap;
}

.main-footer-section {
  display: flex;
  width: 280px;
}

.icon-footer-container {
  padding: 1rem;
}

.fa-solid--footer {
  font-size: 1.8rem;
  min-width: 30px;
}

.footer-container-content__title {
  font-size: 1.5rem;
  font-weight: bold;
  line-height: 10px;
}

.footer-container-content__content {
  margin: 0;
  font-size: 1.1rem;
}

.secondary-footer {
  text-align: center;
}

.divider--footer {
  height: 1px;
  width: 90%;
  background: var(--dark-color);
}

.secondary-content-container {
  text-align: center;
  padding: 2rem 1rem;
}

.secondary-footer__content {
  margin: 0;
  font-size: 0.8rem;
}

.fa-brands {
  font-size: 2rem;
  margin: 0 0.5rem 0 0;
  cursor: pointer;
}

.bold {
  /* font-size: 1.2rem; */
  font-weight: bold;
}

.link {
  text-decoration: none;
  color: inherit;
}

.background {
  background-color: var(--primary-color);
}

.background--dark {
  background-color: var(--dark-color);
}

.gym-card {
  background-color: var(--primary-color);
  padding: 2rem;
  width: 85%;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  color: var(--light-color);
  text-align: center;
}

.gym-card--dark {
  background-color: var(--dark-color);
}

.gym-card-content {
  width: 60%;
  margin: 0 1.5rem
}

.gym-card-content__title {
  font-size: 4rem;
  text-transform: uppercase;
}

.gym-card-content__text {
  font-weight: 300;
}

@media screen and (max-width: 1000px) {
  .gym-card {
    flex-direction: column;
    align-items: center;
  }

  .gym-card-content {
    margin: 0;
    width: 100%;
  }
}

@media screen and (max-width: 1000px) {
  .gym-card-content__title {
    font-size: 2.5rem;
  }
}

@media screen and (max-width: 450px) {
  .gym-card-content__title {
    font-size: 1.8rem;
  }
}

.slider-container--gym {
  position: relative;
  align-self: flex-end;
}


.button-slider--gym {
  color: var(--primary-color);
  font-size: 4rem;
  font-weight: 300;
}

.button-slider--left,
.button-slider--right {
  position: absolute;
  top: 35%;
}

@media screen and (max-width: 500px) {
  .button-slider--left,
  .button-slider--right {
    top: 30%;
  }
}

.button-slider--left {
  left: 0;
}

.button-slider--right {
  right: 0;
}

.padding-top {
  padding-top: 100px;
}

.no-margin {
  margin: 0;
}

.non-display{
  display: none;
}

::selection{
  color: var(--dark-color);
  background-color: var(--light-color);
}

.bold{
  font-weight: bold;
}
.splide__slide .img{
  width: 400px;
  height: 400px;
  object-fit: cover;
}
.img.service__img.img--1{
  width: 500px;
  height: 500px;
  object-fit: cover;
}
.img.service__img.img--2{
  width: 500px;
  height: 500px;
  object-fit: cover;
}

.material-img{
  height: 300px;
  width: 450px;
  object-fit: cover;
}

.background-confirmation-email{
  background-color: var(--primary-color);
  border: 2px solid var(--light-color);
  opacity: .9;
  width: 80%;
  max-width: 600px;
  height: 250px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 20%;
  z-index: 100;
  left: 0; 
  right: 0; 
  margin-left: auto; 
  margin-right: auto; 
}

.card-confirmation-email p{
 color: var(--light-color);
 font-size: 2em; 
 padding: 3rem;
 text-align: center;
}

.card-confirmation-email i{
  color: var(--light-color);
  float: right;
  padding: 1rem 1.5rem;
  font-size: 2rem;
}

.hide-confirmation{
  display: none;
}